# CreateDcv

Create Domain control verification

`POST /api/v2/domain-control-verifications`

**API:** AvaTax API
**Tag:** DomainControlVerification
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/DomainControlVerification/CreateDcv/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `DomainNameViewModel`

ViewModel to receive  DomainName from user

| Property | Type | Required | Description |
|---|---|---|---|
| `domainName` | string | **Yes** | Domain Name for which Domain control verification is created |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `DcvCreationResponse` |
| 400 | Bad Request | `BadRequestErrorResponse` |
| 401 | Unauthorized | `UnauthorizedErrorResponse` |
| 403 | Forbidden | `ForbiddenErrorResponse` |
| 500 | Internal Server Error | `InternalServerErrorResponse` |

### 200 Response: `DcvCreationResponse`

Model used for Domain control verification response

| Property | Type | Required | Description |
|---|---|---|---|
| `message` | string | No | Domain control verification is already exist or newly created |
| `dcvViewModel` | DcvViewModel | No | Domain control verification model |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/domain-control-verifications" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "domainName": ""
}'
```